%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api_version	0.7
%define lib_major	0

%define lib_name	%mklibname gepub %{api_version} %{lib_major}
%define gi_name		%mklibname gepub-gir %{api_version}
%define develname	%mklibname -d gepub %{api_version}

Name:		libgepub
Version:	0.7.1
Release:	%mkrel 2
Summary:	Library for epub documents

Group:		System/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/libgepub
Source0:	https://download.gnome.org/sources/libgepub/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	meson

%description
libgepub is a GObject based library for handling and rendering epub
documents.

%package -n %{lib_name}
Summary:	Library for epub documents
Group:		System/Libraries

%description -n %{lib_name}
libgepub is a GObject based library for handling and rendering epub
documents.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for Gepub
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for Gepub.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gi_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{lib_name}
%license COPYING
%{_libdir}/libgepub-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Gepub-%{api_version}.typelib

%files -n %{develname}
%{_includedir}/libgepub-%{api_version}/
%{_libdir}/libgepub-%{api_version}.so
%{_libdir}/pkgconfig/libgepub-%{api_version}.pc
%{_datadir}/gir-1.0/Gepub-%{api_version}.gir


%changelog
* Sun Mar 16 2025 wally <wally> 0.7.1-2.mga10
+ Revision: 2164894
- rebuild for libxml2 2.13.6

* Wed Jun 14 2023 daviddavid <daviddavid> 0.7.1-1.mga9
+ Revision: 1961920
- new version 0.7.1

* Mon Sep 19 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1890600
- new version 0.7.0
- new api 0.7
- build against webkit2gtk-4.1 and libsoup3

* Sat Apr 02 2022 umeabot <umeabot> 0.6.0-6.mga9
+ Revision: 1840316
- Mageia 9 Mass Rebuild

* Mon Nov 16 2020 wally <wally> 0.6.0-5.mga8
+ Revision: 1646713
- provide libgepub-devel

* Sat Feb 15 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1525478
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1392734
- Rebuild with meson 0.50.1

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1298866
- Mageia 7 Mass Rebuild
+ wally <wally>
- fix gir pkg summary and description
- drop unneeded conflicts

* Thu Mar 15 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1209604
- new api 0.6
- don't own system dirs
+ ovitters <ovitters>
- new version 0.6.0

* Tue Jan 16 2018 ovitters <ovitters> 0.5.3-1.mga7
+ Revision: 1193742
- new version 0.5.3

* Wed Aug 23 2017 ovitters <ovitters> 0.5.2-1.mga7
+ Revision: 1143397
- new version 0.5.2

* Mon Aug 21 2017 ovitters <ovitters> 0.5.1-1.mga7
+ Revision: 1142674
- bump api
- switch to meson
- new version 0.5.1

* Mon Sep 26 2016 tv <tv> 0.4-3.mga6
+ Revision: 1056850
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 0.4-2.mga6
+ Revision: 1055230
- fix requires in devel package
- set group
- clean spec
- imported package libgepub


* Thu Sep 01 2016 Kalev Lember <klember@redhat.com> - 0.4-1
- Update to 0.4

* Mon Aug 22 2016 Kalev Lember <klember@redhat.com> - 0.3-0.1.git395779e
- Initial Fedora build
